moeoObjectiveVectorTraits(3)

NAME
moeoObjectiveVectorTraits - A traits class for moeoObjectiveVector to specify the number of objectives and which ones have to be minimized or maximized.

SYNOPSIS

#include <moeoObjectiveVectorTraits.h>

  Static Public Member Functions
static void setup (unsigned int _nObjectives, std::vector< bool > &_bObjectives)
Parameters setting.
static unsigned int nObjectives ()
Returns the number of objectives.
static bool minimizing (unsigned int _i)
Returns true if the _ith objective have to be minimized.
static bool maximizing (unsigned int _i)
Returns true if the _ith objective have to be maximized.
static double tolerance ()
Returns the tolerance value (to compare solutions).

  Static Private Attributes
static unsigned int nObj
The number of objectives.
static std::vector< bool > bObj
The min/max vector.

Detailed Description

A traits class for moeoObjectiveVector to specify the number of objectives and which ones have to be minimized or maximized.

Definition at line 23 of file moeoObjectiveVectorTraits.h.

Member Function Documentation

  static void moeoObjectiveVectorTraits::setup (unsigned int _nObjectives, std::vector< bool > & _bObjectives) [inline, static]

Parameters setting.

Parameters:
    _nObjectives the number of objectives
    _bObjectives the min/max vector (true = min / false = max)

Definition at line 32 of file moeoObjectiveVectorTraits.h.

References bObj, and nObj.

  static bool moeoObjectiveVectorTraits::minimizing (unsigned int _i) [inline, static]

Returns true if the _ith objective have to be minimized.

Parameters:
    _i the index

Definition at line 67 of file moeoObjectiveVectorTraits.h.

References bObj.

Referenced by maximizing().

  static bool moeoObjectiveVectorTraits::maximizing (unsigned int _i) [inline, static]

Returns true if the _ith objective have to be maximized.

Parameters:
    _i the index

Definition at line 80 of file moeoObjectiveVectorTraits.h.

References minimizing().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.